# Gimp.Image.select_rectangle

    @accepts(Gimp.Image, Gimp.ChannelOps, float, float, float, float)
    @returns(bool)
    def select_rectangle(self, operation, x, y, width, height):
        # Python wrapper for gimp_image_select_rectangle()

Create a rectangular selection over the specified image;

This tool creates a rectangular selection over the specified image. The rectangular region can be either added to, subtracted from, or replace the contents of the previous selection mask.

This procedure is affected by the following context setters: Gimp.context_set_feather, Gimp.context_set_feather_radius.

Since 2.8

self

  The image.

operation

  The selection operation.

x

  x coordinate of upper-left corner of rectangle.

y

  y coordinate of upper-left corner of rectangle.

width

  The width of the rectangle.

height

  The height of the rectangle.

Returns